# Copyright 2024 Camptocamp SA
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl).


from odoo import fields, models


class ResPartner(models.Model):
    _inherit = "res.partner"

    edi_purchase_conf_ids = fields.Many2many(
        string="EDI purchase configuration",
        comodel_name="edi.configuration",
        relation="res_partner_edi_purchase_configuration_rel",
        column1="partner_id",
        column2="conf_id",
        domain=[("model_name", "=", "purchase.order")],
    )
